Loading...
Searching...
No Matches
BALL::NegativePolarVdWSurface Class Reference

`#include <BALL/QSAR/surfaceDescriptors.h>`

Inheritance diagram for BALL::NegativePolarVdWSurface:

## Public Member Functions

Constructors and Destructors
| NegativePolarVdWSurface ()
| NegativePolarVdWSurface (const NegativePolarVdWSurface &nps)
virtual | ~NegativePolarVdWSurface ()
Assigment
NegativePolarVdWSurface & | operator= (const NegativePolarVdWSurface &nps)
Public Member Functions inherited from BALL::SurfaceBase
| SurfaceBase ()
| SurfaceBase (const SurfaceBase &sb)
| SurfaceBase (const String &name)
| SurfaceBase (const String &name, const String &unit)
virtual | ~SurfaceBase ()
SurfaceBase & | operator= (const SurfaceBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::SurfaceBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor calculates the sum of atomic SAS van der Waals surface areas of the molecule, where the partial charge of the atom is negative and the atom is a polar atom.

Definition at line 131 of file surfaceDescriptors.h.

## Constructor & Destructor Documentation

## NegativePolarVdWSurface() [1/2]

BALL::NegativePolarVdWSurface::NegativePolarVdWSurface | ( |  | ) |

Default constructor

## NegativePolarVdWSurface() [2/2]

BALL::NegativePolarVdWSurface::NegativePolarVdWSurface | ( | const NegativePolarVdWSurface & | nps | ) |

Copy constructor

## ~NegativePolarVdWSurface()

virtual BALL::NegativePolarVdWSurface::~NegativePolarVdWSurface | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## operator=()

NegativePolarVdWSurface & BALL::NegativePolarVdWSurface::operator= | ( | const NegativePolarVdWSurface & | nps | ) |

Assignment operator